Skip to main content
POST
/
api
/
v1
/
external
/
companies
/
{companyId}
/
configuration
/
compare
Compare Configuration
curl --request POST \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/configuration/compare \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "spreadsheetId": "1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms",
  "googleOAuthToken": "ya29.a0AfH6SM..."
}
'
{ "fieldDefinitions": { "additions": 0, "updates": 0, "deletes": 0, "unchanged": 42 }, "optionSets": { "additions": 0, "updates": 0, "deletes": 0, "unchanged": 8 }, "customObjects": { "additions": 0, "updates": 0, "deletes": 0, "unchanged": 3 }, "cardDefinitions": { "additions": 0, "updates": 0, "deletes": 0, "unchanged": 12 }, "cardSections": { "additions": 0, "updates": 0, "deletes": 0, "unchanged": 6 }, "fieldLocations": { "additions": 0, "updates": 0, "deletes": 0, "unchanged": 38 }, "rowExclusions": { "additions": 0, "updates": 0, "deletes": 0, "unchanged": 5 } }

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json

Request body for FMV1 configuration spreadsheet operations

spreadsheetId
string
required

The ID of the target Google Spreadsheet

googleOAuthToken
string
required

A valid Google OAuth2 access token with Google Sheets access permission

Response

Comparison completed

Diff between a spreadsheet and the current database configuration

fieldDefinitions
object
required

Change counts for a single configuration category

optionSets
object
required

Change counts for a single configuration category

customObjects
object
required

Change counts for a single configuration category

cardDefinitions
object
required

Change counts for a single configuration category

cardSections
object
required

Change counts for a single configuration category

fieldLocations
object
required

Change counts for a single configuration category

rowExclusions
object
required

Change counts for a single configuration category